Change log for libtest-exception-perl package in Ubuntu

114 of 14 results
Published in hirsute-release 17 hours ago
Published in groovy-release on 2020-04-24
Published in focal-release on 2019-10-18
Published in eoan-release on 2019-04-18
Obsolete in disco-release on 2020-07-14
Obsolete in cosmic-release on 2020-07-13
Published in bionic-release on 2017-10-24
Obsolete in artful-release on 2020-07-10
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2016-04-08
Superseded in xenial-release on 2016-04-08
Deleted in xenial-proposed (Reason: moved to release)
libtest-exception-perl (0.43-1) unstable; urgency=medium

  * Import upstream version 0.43.
  * Update years of packaging copyright.

 -- gregor herrmann <email address hidden>  Thu, 07 Jan 2016 15:22:16 +0100

Available diffs

Superseded in xenial-release on 2016-01-08
Deleted in xenial-proposed on 2016-01-09 (Reason: moved to release)
libtest-exception-perl (0.41-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.41
  * Update upstream contact in debian/copyright
  * Bump debhelper compatibility level to 9

 -- Lucas Kanashiro <email address hidden>  Tue, 22 Dec 2015 12:18:48 -0200

Available diffs

Superseded in xenial-release on 2015-12-23
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
libtest-exception-perl (0.40-1) unstable; urgency=medium

  * Import upstream version 0.40
  * Update debian/upstream/metadata (Bug-Database).

 -- gregor herrmann <email address hidden>  Sat, 27 Jun 2015 21:23:01 +0200

Available diffs

Superseded in wily-release on 2015-06-28
Deleted in wily-proposed on 2015-06-29 (Reason: moved to release)
libtest-exception-perl (0.38-1) unstable; urgency=medium

  * New upstream release 0.38.
  * Add debian/upstream/metadata.
  * Update years of packaging copyright and Upstream-Contact.
  * Update build dependencies.

 -- gregor herrmann <email address hidden>  Sun, 10 May 2015 18:53:38 +0200

Available diffs

Superseded in wily-release on 2015-05-11
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
libtest-exception-perl (0.35-1) unstable; urgency=medium


  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * New upstream release.
  * debian/control: update Module::Build dependency.
  * Move libmodule-build-perl from B-D-I to Build-Depends.
  * Update years of packaging copyright.
  * Mark package as autopkgtest-able.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <email address hidden>  Tue, 14 Oct 2014 19:58:07 +0200

Available diffs

Superseded in vivid-release on 2014-10-25
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-21
Deleted in trusty-proposed (Reason: moved to release)
libtest-exception-perl (0.32-1) unstable; urgency=low


  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Florian Schlichting ]
  * Import Upstream version 0.32.
  * Update M::B build-dependency.
  * Bump Standards-Version to 3.9.4 (update to copyright-format 1.0).
  * Add myself to uploaders and copyright.

 -- Florian Schlichting <email address hidden>  Sun, 11 Aug 2013 19:46:36 +0200

Available diffs

Superseded in trusty-release on 2013-10-21
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
Obsolete in natty-release on 2013-06-04
libtest-exception-perl (0.31-1) unstable; urgency=low

  * New upstream release.
  * Use debhelper compat level 8 for Build.PL.
  * Add build-dep on libmodule-build-perl >= 0.360000.
  * Use source format 3.0 (quilt).
  * debian/copyright: Refer to "Debian systems" instead of "Debian GNU/Linux
    systems"; refer to /usr/share/common-licenses/GPL-1.
  * Bump Standards-Version to 3.9.1.
  * Add myself to Uploaders.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  15 Oct 2010 09:42:22 +0000

Available diffs

Superseded in natty-release on 2010-10-15
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
libtest-exception-perl (0.29-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Standards-Version 3.8.3 (drop perl version dep)
  * Move Sub::Uplevel from B-D to B-D-I
  * Add myself to Uploaders and Copyright
  * Rewrite control description
  * Drop requirement on Module::Build, Makefile.PL is traditional
  * Use new short debhelper 7 rules format
  * Refresh copyright information to new DEP5 format

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ gregor herrmann ]
  * debian/control: Changed: (build-)depend on perl instead of perl-
    modules.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  27 Jan 2010 01:31:53 +0000

Available diffs

Superseded in lucid-release on 2010-01-27
Obsolete in karmic-release on 2013-03-04
libtest-exception-perl (0.27-2) unstable; urgency=low

  [ Jeremiah C. Foster ]
  * debian/control:
    - more description of package added, taken from CPAN
    - moved architecture from all to any
    - added /me to Uploaders
  * debian/rules:
    - Now using deb-helper 7 which makes for a much smaller rules file
  * debian/copyright:
    - Added myself as copyright holder for packaging 2008
    - More explicit licensing information included
    - Adopted the current copyright format specification

  [ David Paleino ]
  * Removed myself from Uploaders (Closes: #509504)
  * debian/control:
    - short and long description improved.
    - perl Build-Depends moved to Build-Depends-Indep
    - package set to Architecture: all
    - ${shlibs:Depends} removed from binary's dependencies
  * debian/rules: properly use binary-indep instead of binary-arch

  [ Damyan Ivanov ]
  * bump debian/compat to 7

  [ gregor herrmann ]
  * debian/control:
    - switch Vcs-Browser field to ViewSVN
    - add perl-modules (>= 5.10) as an alternative build
      dependency to libmodule-build-perl
    - change my email address
    - mention module name in long description
    - add libsub-uplevel-perl (>= 0.18) to build dependencies
  * debian/copyright: remove non-standard "introduction".

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  29 Apr 2009 12:02:13 +0100

Available diffs

Superseded in karmic-release on 2009-04-29
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
libtest-exception-perl (0.27-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control:
    - added: Vcs-Svn field (source stanza); Vcs-Browser
      field (source stanza); Homepage field (source stanza)
    - set Maintainer to Debian Perl Group
    - add /me to Uploaders
    - make runtime dependencies versioned, too
  * Use dist-based URL in debian/watch.
  * debian/rules: 
    - delete /usr/lib/perl5 only if it exists (closes: #467271)
    - update based on dh-make-perl's templates
  * debian/copyright: add actual copyright notice.

  [ David Paleino ]
  * New upstream release
  * debian/control:
    - added myself to Uploaders
    - Standards-Version updated to 3.7.3
    - added libtest-harness-perl to Build-Depends
    - fixed versions of Build-Dependencies
  * debian/compat: updated to version 5
  * debian/rules: minimal changes

  [ Martín Ferrari ]
  * New upstream release (0.27).
  * Upgrade debhelper dependency to 5.
  * Set versioned dependency on libtest-simple-perl, waiting for #457165 to be
    fixed.

  [ Niko Tyni ]
  * Split most of Build-Depends into Build-Depends-Indep.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  02 May 2008 02:16:59 +0100
Superseded in intrepid-release on 2008-05-03
Obsolete in hardy-release on 2015-04-24
libtest-exception-perl (0.25-1) unstable; urgency=low

  * New upstream release
  * Policy version bump to 3.7.2.2. No other changes
  * Change to make clean to conditionally ignore errors for lintian
  * Change build-depends-indep to build-depends for lintian

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  23 Oct 2007 17:27:17 +0100
Superseded in hardy-release on 2007-10-23
Obsolete in gutsy-release on 2011-09-16
Superseded in gutsy-release on 2007-09-20
Obsolete in feisty-release on 2009-08-20
Obsolete in edgy-release on 2008-06-19
libtest-exception-perl (0.21-1) unstable; urgency=low

  * New upstream release
  * Changes Build-Depends to be on libtest-simple-perl (Closes: #356052)
  * Bump policy-version to 3.6.2.2 (No other changes)
  * Fixed watchfile so uupdate will work

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  15 Jun 2006 14:51:12 +0100
Superseded in edgy-release on 2006-06-15
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
Obsolete in breezy-release on 2008-03-25
Obsolete in hoary-release on 2008-03-19
libtest-exception-perl (0.20-2) unstable; urgency=low


  * Removed unneeded Depends/Build-Depends (Closes: #282923)
    - Graciously spotted by Allard Hoeve

 -- Jay Bonci <email address hidden>  Wed, 29 Dec 2004 00:28:41 -0500
Obsolete in warty-release on 2008-01-09
libtest-exception-perl (0.15-1) unstable; urgency=low


  * Initial Release (Closes: #178035)

 -- Jay Bonci <email address hidden>  Wed, 27 Aug 2003 00:56:00 -0400
114 of 14 results